#!/bin/sh

#
# Script to rebuild OOo2.0 (m3) with the latest translations from cvs
#

export CC="/usr/bin/ccache /usr/bin/gcc"
export CXX="/usr/bin/ccache /usr/bin/g++"

cd config_office

./configure --with-lang="dz" --disable-build-mozilla --disable-gnome-vfs --with-jdk-home=/srv/projects/openoffice/j2sdk1.4.2_02 --with-ant-home=/srv/projects/openoffice/apache-ant-1.6.2

cd ..
echo "Checking out latest translations from cvs module openoffice2.0"
export CVSROOT=:pserver:translator@192.168.0.123:/CVS
cvs login
cd /srv/projects/openoffice
cvs co openoffice-m193
mv openoffice-m193 po
cd ooo_SRC680_m193_src

echo "Generating translation status page..."
/srv/projects/openoffice/script/checktranslation.sh 2>&1 | tee /srv/projects/openoffice/errors/checktranslation_error

echo "Converting po files to oo format...generating GSI_dz.sdf"
po2oo -i /srv/projects/openoffice/po -o /srv/projects/openoffice/gsi/GSI_dz.sdf -t /srv/projects/openoffice/gsi/en-US.sdf -l dz 2>&1 | tee /srv/projects/openoffice/errors/po2oo_error

source LinuxIntelEnv.Set.sh
./bootstrap

# Build transex3 project first
cd transex3
build.pl --all
deliver.pl
cd ..

export DEFAULT_TO_ENGLISH_FOR_PACKING="yes"

echo "Checking the newly generated gsi file"
gsicheck -c -l "" /srv/projects/openoffice/gsi/GSI_dz.sdf 2>&1 | tee /srv/projects/openoffice/errors/gsicheck_error

# Remove all existing translations from localize.sdf files
echo "Removing existing Dzongkha translations from source"
for localize in `find . -name localize.sdf`
do
  grep -v "	dz	" $localize >$localize.tmp
  mv -f $localize.tmp $localize
done

# Merging GSI/SDF files
echo "Merging the latest translations to source"
localize -m -l dz -f /srv/projects/openoffice/gsi/GSI_dz.sdf 2>&1 | tee /srv/projects/openoffice/errors/mergegsi_error

echo "Building OpenOffice.org m191 for English"
dmake 2>&1 | tee /srv/projects/openoffice/errors/dmake_error
echo "Built packages are in ./instsetoo_native/unxlngi4.pro/"

echo "Building language packs for Dzongkha and English"
cd instsetoo_native/util/
dmake ooolanguagepack 2>&1 | tee ../../errors/langpack_error
echo "Built language packs are in ./instsetoo_native/unxlngi4.pro/deb/OpenOffice_languagepack/install/"
echo "Successfully built OpenOffice.org m191"

